<template lang="pug">
	article.listadoFavoritos
		ul
			li( v-for="item in favoritos", @click="obtener(item.id)", :data-id="item.id" )
				.archivo
					figure( v-if="item.miniatura" ): img( :src="item.miniatura", :alt="item.nombre" )
					IconoFichero( v-else, :ext="item.tipo")
					p {{ item.nombre}}.{{ item.tipo}}
				//-.info
					img(src="~@img/ico-usuario.svg", alt="alt")
					p {{ item.propietario }}
				.acciones
					button( type="button", @click.stop="borrar(item.id)" ).eliminar: vector( src="~@img/ico-borrar.svg?inline")
					button.favorito(
						type="button"
						@click.stop="marcar( item.id )"
						:class="{ marcado: esFavorito( item.id )}"
						)
						vector( src="@img/ico-favorito.svg?inline")
					button( type="button", @click.stop="descargar(item.id)" ).descargar: vector( src="@img/ico-descargar.svg?inline")
					//-button( type="button" ).ver: vector( src="@img/ico-ver.svg?inline")
					//-button( type="button" ).compartir: vector( src="@img/ico-compartir.svg?inline")

</template>

<script>
	import IconoFichero from "@/components/IconoFichero";
	import { archivos } from "@/api";
	import { mapState, mapActions, mapGetters, mapMutations } from "vuex";

	export default {
		name: "ListadoFavoritos",
		components: {
			IconoFichero
		},
		computed: {
			...mapState(["favoritos"]),
			...mapGetters(["esFavorito"])
		},
		methods: {
			obtener(id) {
				this.obtenerArchivo({ id });
			},
			borrar(id) {
				this.borrarArchivo({ id });
			},
			marcar(id) {
				this.marcarArchivo({ id, marcar: !this.esFavorito(id) });
			},
			descargar(id) {
				//console.log(id);
				archivos.descargar(id);
			},
			...mapActions(["marcarArchivo", "obtenerArchivo", "borrarArchivo"])
		}
	};
</script>

<style lang="stylus" scoped>
	@import "~nib/index"
	@import "../stylus/base/utiles.styl"

	.listadoFavoritos
		li
			display flex
			align-items center
			justify-content space-between
			padding .5rem .5rem
			border-bottom 1px solid lighten( gris, 50% )
			cursor pointer

			&:hover
				background-color tint( azul, 90% )

		p
			color lighten( negro, 40% )
			font-size calcRem( 12 )

		.archivo
			flex 2 1 40%
			display flex
			align-items center

			> *
				margin 0 .5rem

			.iconoFichero
				width 24px
				margin-right .5rem

		.info
			flex 2 1 30%
			display flex
			align-items center

			> *
				margin 0 .5rem

			img
				width 15px

		.acciones
			flex 0 1 auto
			display flex
			justify-content space-between

			button
				flex 0 0 32px
				border none
				width 32px
				height 32px
				border-radius 1rem
				display flex
				align-items center
				justify-content center
				padding 0
				margin 0 .1rem
				cursor pointer
				color tint( azul, 40% )
				background-color transparente

				&:hover
					background-color tint( azul, 90% )

				.vector
					height 20px

					svg
						display block

			.eliminar
				color tint( rojo, 40% )
</style>
